> ## Documentation Index
> Fetch the complete documentation index at: https://www.klavis.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get information about an existing Strata MCP server instance.

Returns the strata URL, connected klavis servers, connected external servers (with URLs), 
and authentication URLs for klavis servers.



## OpenAPI

````yaml get /mcp-server/strata/{strataId}
openapi: 3.1.0
info:
  title: Klavis AI (https://www.klavis.ai)
  description: Klavis AI - Open Source MCP Integrations for AI Applications
  version: 0.1.0
servers:
  - url: https://api.klavis.ai
    description: US Production server
  - url: https://api.eu.klavis.ai
    description: EU Production server
security: []
paths:
  /mcp-server/strata/{strataId}:
    get:
      tags:
        - mcp-server
      summary: Get
      description: >-
        Get information about an existing Strata MCP server instance.


        Returns the strata URL, connected klavis servers, connected external
        servers (with URLs), 

        and authentication URLs for klavis servers.
      operationId: get_strata_server_mcp_server_strata__strataId__get
      parameters:
        - name: strataId
          in: path
          required: true
          schema:
            type: string
            title: Strataid
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/StrataGetResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    StrataGetResponse:
      properties:
        strataServerUrl:
          type: string
          title: Strataserverurl
          description: URL to connect to the Strata MCP server
        strataId:
          type: string
          title: Strataid
          description: The strata server ID
        connectedServers:
          items:
            type: string
          type: array
          title: Connectedservers
          description: List of available integration currently connected to this strata
        connectedExternalServers:
          items:
            $ref: '#/components/schemas/ExternalServerInfo'
          type: array
          title: Connectedexternalservers
          description: >-
            List of external servers with name and URL currently connected to
            this strata
        oauthUrls:
          additionalProperties:
            type: string
          type: object
          title: Oauthurls
          description: >-
            Map of connected integration to OAuth URL, supports white labeling
            if configured
        apiKeyUrls:
          additionalProperties:
            type: string
          type: object
          title: Apikeyurls
          description: Map of connected integration to API key setup URL
      type: object
      required:
        - strataServerUrl
        - strataId
        - connectedServers
        - connectedExternalServers
      title: StrataGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ExternalServerInfo:
      properties:
        name:
          type: string
          title: Name
          description: The name of the external server
        url:
          type: string
          title: Url
          description: The URL of the external MCP server
        headers:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Headers
          description: Optional HTTP headers used when connecting to the external server
      type: object
      required:
        - name
        - url
      title: ExternalServerInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: Your Klavis AI API key.
      scheme: bearer
      x-fern-bearer:
        name: api_key

````